Uses of Interface
com.eqixiac.equinix.fabric.model.CloudEvent
Packages that use CloudEvent
Package
Description
Fabric domain client interfaces for the Equinix Java SDK.
-
Uses of CloudEvent in com.eqixiac.equinix.fabric.client
Methods in com.eqixiac.equinix.fabric.client that return CloudEventModifier and TypeMethodDescriptionRetrieves a single cloud event by its unique identifier.Methods in com.eqixiac.equinix.fabric.client that return types with arguments of type CloudEventModifier and TypeMethodDescriptionCloudEvents.search(CloudEventQuery query) Searches cloud events with a filter built by aCloudEventQuery.CloudEvents.search(CloudEventQuery query, SortPropertyList sort) Searches cloud events with aCloudEventQueryand a sort order.CloudEvents.search(FilterPropertyList filter, SortPropertyList sort) Searches cloud events with a hand-built filter.CloudEvents.searchLiveEvents(String... subjects) Returns the last operational event of each given subject (POST /fabric/v4/liveEvents/search), for example the current port-status alert. -
Uses of CloudEvent in com.eqixiac.equinix.fabric.client.implementation
Methods in com.eqixiac.equinix.fabric.client.implementation that return CloudEventMethods in com.eqixiac.equinix.fabric.client.implementation that return types with arguments of type CloudEventModifier and TypeMethodDescriptionCloudEventsImpl.search(CloudEventQuery query) CloudEventsImpl.search(CloudEventQuery query, SortPropertyList sort) CloudEventsImpl.search(FilterPropertyList filter, SortPropertyList sort) CloudEventsImpl.searchLiveEvents(String... subjects) -
Uses of CloudEvent in com.eqixiac.equinix.fabric.client.internal.implementation
Subclasses with type arguments of type CloudEvent in com.eqixiac.equinix.fabric.client.internal.implementationModifier and TypeClassDescriptionclassInternal client for Fabric Cloud Events (read-only).Classes in com.eqixiac.equinix.fabric.client.internal.implementation that implement interfaces with type arguments of type CloudEventModifier and TypeClassDescriptionclassInternal client for Fabric Cloud Events (read-only).Methods in com.eqixiac.equinix.fabric.client.internal.implementation that return CloudEventModifier and TypeMethodDescriptionprotected CloudEventCloudEventClientImpl.wrap(CloudEventJson json) -
Uses of CloudEvent in com.eqixiac.equinix.fabric.model.json
Classes in com.eqixiac.equinix.fabric.model.json that implement CloudEvent